#include "zepto.h"
#define LENGTH 100
int main (void)
{
        char sequence[LENGTH + 1];
	char structure[LENGTH + 1];
        long seed;
        time_t currtime;
	int i;
	float energy;

	for (i = 0; i < LENGTH; i++)
		sequence[i] = ' ';
	sequence[LENGTH] = '\0';
	strcpy(structure, sequence);


        time (&currtime);
        seed = -abs((long)(currtime));
       
	initialize_fold(strlen(sequence));
 
	random_seq(sequence, LENGTH, &seed);
        sequence[LENGTH] = '\0';

	energy = fold(sequence, structure);	

        printf("%15ld %s\n", seed, sequence);
	printf("%15f %s\n", energy, structure);

	free_arrays();
        return 0;
}

